[Rubygems-developers] Upgrading?

Hugh Sasse Staff Elec Eng hgs at dmu.ac.uk
Fri Feb 4 11:27:13 EST 2005


On Fri, 4 Feb 2005, Lyle Johnson wrote:

> On Fri, 4 Feb 2005 15:15:02 +0000 (WET), Hugh Sasse Staff Elec Eng
> <hgs at dmu.ac.uk> wrote:
>
>> What have I missed about upgrading?
>
> After you install the gem, i.e.
>
>    gem install -r rubygems-update
>
> You need to follow up with this command:
>
>    update_rubygems

Could this be rolled into the install process,
or could it be made to emit some message about 
this, please?  In the spirit of gems making things
easy...
>
> Yes, this tripped me up too for awhile. ;)
>
> Hope this helps,

Yes, thank you:

   Successfully built RubyGem
   Name: sources
   Version: 0.0.1
   File: sources-0.0.1.gem
brains# gem --version
0.8.4
brains#

>
> Lyle
         Hugh


More information about the Rubygems-developers mailing list